> ## Documentation Index
> Fetch the complete documentation index at: https://developer.payrollintegrations.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Payroll Record Data

> Returns payroll data for a specific payroll record

export const PaginationInfo = ({defaultSortField, sortFields = [], maxLimit = 100, defaultLimit = 20}) => {
  return <>
      <div class="border-b pb-2.5 border-gray-100 dark:border-gray-800 w-full">
      <h4>Pagination & Sorting</h4>
      </div>

      {(maxLimit || defaultLimit) && <ResponseField name="Limit">
        <ul>
          {defaultLimit && <li>Default: {defaultLimit}</li>}
          {maxLimit && <li>Maximum: {maxLimit}</li>}
        </ul>
      </ResponseField>}

      <ResponseField name="Sort Fields">
        <ul>
            {sortFields.map(field => {
    if (field == defaultSortField || sortFields.length == 1) {
      return <li key={field}> <code>{field} (Default)</code> </li>;
    } else {
      return <li key={field}> <code>{field}</code> </li>;
    }
  })}
        </ul>
      </ResponseField>
    </>;
};

<PaginationInfo sortFields={["employeeId"]} />


## OpenAPI

````yaml GET /v1/payroll-connections/{payroll_connection}/payroll-records/{payroll_record}/payroll-data
openapi: 3.1.0
info:
  title: Payroll Integrations Public API
  description: Public API for Payroll Integrations platform
  version: '2025-10-28T20:05:03Z'
  license:
    name: MIT
servers:
  - url: https://api.payrollintegrationsapp.com
    description: Prod environment
  - url: https://demo1-api.payrollintegrationsdemo.com
    description: Demo environment
  - url: https://demo2-api.payrollintegrationsdemo.com
    description: Demo environment
  - url: https://demo3-api.payrollintegrationsdemo.com
    description: Demo environment
security:
  - bearerAuth: []
paths:
  /v1/payroll-connections/{payroll_connection}/payroll-records/{payroll_record}/payroll-data:
    get:
      tags:
        - Payroll Connections
      summary: List payroll record data
      description: Returns payroll data for a specific payroll record
      operationId: listPayrollData
      parameters:
        - name: payroll_connection
          in: path
          required: true
          schema:
            type: string
            format: uuid
        - name: payroll_record
          in: path
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: List of payroll data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListPayrollDataResponse'
              example:
                data:
                  - payrollConnectionId: 00000000-0000-0000-0000-000000000000
                    employeeId: dd0e8400-e29b-41d4-a716-446655440008
                    payPeriodGrossAmount: '1300.00'
                    payPeriodTotalHours: '30.0000'
                    payrollComponents:
                      - payrollCode: 401K_EMPLOYEE
                        amount: '500.00'
                        hours: '10.0000'
                        loanIdentifier: null
                        classification: EMPLOYEE_DEDUCTION
                        category: PRETAX
                        subcategory: 401K_CATCHUP
                      - payrollCode: 401K_EMPLOYER
                        amount: '250.00'
                        hours: '5.0000'
                        loanIdentifier: null
                        classification: EMPLOYER_PAID_BENEFIT
                        category: PLAN_INCLUDED_GROSS_COMPENSATION
                        subcategory: PLAN_INCLUDED_GROSS_COMPENSATION
                      - payrollCode: ROTH_401K
                        amount: '300.00'
                        hours: '6.0000'
                        loanIdentifier: null
                        classification: EMPLOYEE_DEDUCTION
                        category: ROTH
                        subcategory: ROTH
                      - payrollCode: LOAN_REPAYMENT
                        amount: '150.00'
                        hours: '5.0000'
                        loanIdentifier: '2'
                        classification: EMPLOYEE_DEDUCTION
                        category: SAFE_HARBOR_MATCH
                        subcategory: SAFE_HARBOR_MATCH
                      - payrollCode: CATCHUP_CONTRIB
                        amount: '100.00'
                        hours: '4.0000'
                        loanIdentifier: null
                        classification: EMPLOYEE_DEDUCTION
                        category: ROTH
                        subcategory: ROTH
                  - payrollConnectionId: 00000000-0000-0000-0000-000000000000
                    employeeId: de0e8400-e29b-41d4-a716-446655440011
                    payPeriodGrossAmount: '1125.00'
                    payPeriodTotalHours: '27.0000'
                    payrollComponents:
                      - payrollCode: 401K_EMPLOYEE
                        amount: '750.00'
                        hours: '15.0000'
                        loanIdentifier: null
                        classification: EMPLOYEE_DEDUCTION
                        category: PRETAX
                        subcategory: 401K_CATCHUP
                      - payrollCode: 401K_EMPLOYER
                        amount: '375.00'
                        hours: '12.0000'
                        loanIdentifier: null
                        classification: EMPLOYER_PAID_BENEFIT
                        category: PLAN_INCLUDED_GROSS_COMPENSATION
                        subcategory: PLAN_INCLUDED_GROSS_COMPENSATION
                meta:
                  limit: 10
                  offset: 0
                  sort: employeeId
                  currentCount: 2
                  totalCount: 2
                  filters: {}
        '401':
          description: Unauthorized - Invalid or missing authentication credentials
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '404':
          description: Not Found - Payroll connection or record does not exist
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    ListPayrollDataResponse:
      type: object
      required:
        - data
        - meta
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/GetPayrollDataResponse'
        meta:
          $ref: '#/components/schemas/PaginationMeta'
    Error:
      type: object
      required:
        - message
      properties:
        message:
          type: string
          description: Error message describing what went wrong
        errors:
          type: array
          description: Optional array of detailed error messages
          items:
            type: string
    GetPayrollDataResponse:
      type: object
      required:
        - payrollConnectionId
        - employeeId
        - payPeriodGrossAmount
        - payPeriodTotalHours
        - payrollComponents
      properties:
        payrollConnectionId:
          type: string
          format: uuid
          description: ID of the payroll connection this payroll record belongs to
        employeeId:
          type: string
          format: uuid
        payPeriodGrossAmount:
          type: string
          pattern: ^\d+\.\d{2}$
          description: Pay period gross amount in USD (e.g., 1234.56)
        payPeriodTotalHours:
          type: string
          pattern: ^\d+(\.\d+)?$
          description: Total hours worked within the pay period (e.g., 80 or 80.5)
        payrollComponents:
          type: array
          items:
            type: object
            required:
              - amount
              - hours
              - payrollCode
              - loanIdentifier
              - classification
              - category
              - subcategory
            properties:
              amount:
                type: string
                pattern: ^\d+\.\d{2}$
                description: Component amount in USD (e.g., 1234.56)
              hours:
                type:
                  - string
                  - 'null'
                pattern: ^\d+(\.\d+)?$
                description: Hours for this component (e.g., 40 or 40.5)
              payrollCode:
                type: string
                description: Payroll platform specific code identifier
              loanIdentifier:
                type:
                  - string
                  - 'null'
                description: Loan identifier if this component is related to a loan
              classification:
                type:
                  - string
                  - 'null'
                enum:
                  - EARNING
                  - EMPLOYEE_PAID_TAX
                  - EMPLOYER_PAID_TAX
                  - EMPLOYEE_DEDUCTION
                  - EMPLOYER_PAID_BENEFIT
                  - UNKNOWN
                description: Classification type of the payroll component
              category:
                type: string
                description: Category of the payroll component
              subcategory:
                type: string
                description: Subcategory of the payroll component
    PaginationMeta:
      type: object
      required:
        - offset
        - limit
        - currentCount
        - totalCount
        - sort
        - filters
      properties:
        offset:
          type: integer
          minimum: 0
          description: Number of results to skip from the beginning
        limit:
          type: integer
          minimum: 1
          description: Maximum number of results per page
        currentCount:
          type: integer
          minimum: 0
          description: Number of results in current page
        totalCount:
          type: integer
          minimum: 0
          description: Total number of results
        sort:
          type: string
          pattern: ^(-?\w{1,100})(?:,(-?\w{1,100})){0,2}$
          description: >-
            Comma-separated list of fields to sort by. Prefix with - for
            descending order
        filters:
          type: object
          additionalProperties: true
          description: >-
            The filters applied to the request. Contains field names as keys
            with their filter values or operator-based filter objects as values

````